import { h, render } from "vue";
import MenuComponent from "./MenuComponent.vue";
export function openCountextMenus(e: Event) {
  // 替换浏览器的默认行为
  let isShow = false;
  let scope: HTMLElement | null;
  let containerEl: HTMLDivElement;
  function openMenu(e: MouseEvent) {
    scope = document.getElementById("srollId");
    containerEl = document.createElement("div");
    const vnode = h(MenuComponent);
    render(vnode, containerEl);
    containerEl.style.position = "absolute";
    scope?.appendChild(containerEl);
    const { clientY, clientX } = e;
    const { clientWidth } = scope!; //取父级的真实宽度
    const { offsetWidth } = containerEl; //取窗口的真实宽度
    const _X = clientWidth - clientX > offsetWidth ? "left" : "right";
    const _X_offset = clientWidth - clientX;
    containerEl.style.top = `${clientY}px`;
    containerEl.style[_X] = _X === "left" ? `${clientX}px` : `${_X_offset}px`;
    isShow = true;
  }
  function closeMenu() {
    if (isShow) {
      render(null, containerEl);
      scope?.removeChild(containerEl);
      isShow = false;
    }
  }
  //   window.oncontextmenu = function (e: MouseEvent) {
  //     e.preventDefault();
  //     if (isShow) closeMenu();
  //     openMenu(e);
  //   };
  return {
    isShow,
    openMenu,
    closeMenu,
  };
}
