// const COS = require("cos-wx-sdk-v5");
// import { ElMessage } from "element-plus";
// import { upload, getUploadConfigInfo } from "../axios/model/user";
// export default function () {
//   interface UploadMixin {
//     uploadMixinPath: string;
//     uploadMixinType: string;
//     uploadMixinCredentials: any;
//     uploadMixinTimeStamp: number;
//   }
//   const uploadMixin: UploadMixin = {
//     uploadMixinPath: "",
//     uploadMixinType: "",
//     uploadMixinCredentials: {},
//     uploadMixinTimeStamp: 0,
//   };

//   const upLoadFilesHander = (tempFilePaths:any, tempFiles:any, zip:any) => {
//     return new Promise((resolve) => {
//       if (tempFiles.length != 0) {
//         if (typeof upLoadHander !== "function") return;
//         let uploadObj = {};
//         let uploadNum = tempFiles.length;
//         uploadObj.length = tempFiles.length;
//         //处理上传结果函数
//         function loadHandler({ success, message }:any, i) {
//           uploadNum = uploadNum - 1;
//           uploadObj[i] = message;
//           if (!success) {
//             uploadObj[i] = "";

//             ElMessage({
//               message: `[${i + 1}]上传失败，请重新上传！`,
//               type: "none",
//             });
//           }
//           if (uploadNum == 0) {
//             const arr = Array.from(uploadObj);
//             // ;
//             resolve({ success: true, result: arr });
//           }
//         }
//         //进行上传
//         tempFiles.forEach((file:any, i:any) => {
//           upLoadHander({
//             path: tempFilePaths[i],
//             file: file.path,
//             zip: zip || "",
//             onSuccess: ({ success, message }:any) => {
//               loadHandler({ success, message }, i);
//             },
//             onError: (res:any) => {
//               loadHandler({ success: false, message: "" }, i);
//             },
//           });
//         });
//       } else {
//         resolve({ success: true, result: [] });
//       }
//     });
//   };
//   const upLoadHander = (obj:any) => {
//     const { path, file, biz } = obj;
//     const pathArr = (path || "").split("/");
//     const pathStr = pathArr[pathArr.length - 1];
//     const fileName = (pathStr || "").split(".");
//     let fileInfo = {
//       fileTyle: fileName.length > 1 ? fileName[fileName.length - 1] : "",
//       fileName: fileName[0],
//       biz: biz || "temp",
//       file: file,
//     };

//     const none = (async function hander(noCredentials) {
//       let  res = {
//         result:{}
//       },
//         staticDomain = "",
//         resResult = true;
//       //noCredentials变量控制是否走对象存储
//       if (noCredentials) {
//         let query = {}
//         res = await getUploadConfigInfo(query);
//         console.log(res)
//         if (res.code === 200 && res.result) {
//           let result = res.result
//           uploadMixin.uploadMixinPath = result.upLoadPath;
//           uploadMixin.uploadMixinType = result.uploadType;
//           staticDomain = result.staticDomain || "https://cdn.tikcos.cn";
//           if (uploadMixin.uploadMixinType === "txcos") {
//             const credentials = result.credentials;
//             uploadMixin.uploadMixinCredentials = {
//               TmpSecretId: credentials.tmpSecretId,
//               TmpSecretKey: credentials.tmpSecretKey,
//               SecurityToken: credentials.sessionToken,
//               StartTime: result.startTime,
//               ExpiredTime: result.expiredTime,
//             };
//           }
//         } else {
//           resResult = false;
//         }
//       }
//       //resResult判断接口是否正常
//       if (resResult) {
//         if (uploadMixin.uploadMixinType == "txcos") {
//           //走对象存储
//           const cos = new COS({
//             getAuthorization: (options:any, callback:any) => {
//               callback(uploadMixin.uploadMixinCredentials);
//             },
//           });
//           const tempFolder = fileInfo.biz === "temp" ? "" : `${fileInfo.biz}/`;
//           const folder = `${fileInfo.fileName}_${new Date().getTime()}.${
//             fileInfo.fileTyle
//           }`;
//           let  result = res.result || {}
//           cos.postObject(
//             {
//               FilePath: fileInfo.file,
//               Bucket: result.bucketName || "tikcos-1257774783",
//               Region: result.regionid || "ap-guangzhou",
//               Key: uploadMixin.uploadMixinPath + tempFolder + folder,
//               Body: fileInfo.file,
//               onProgress: function (progressData:any) {
//                 obj.onProgress && obj.onProgress(progressData);
//               },
//             },
//             (err:any, data:any) => {
//               if (!err && data.statusCode === 200) {
//                 const imgurl = `${staticDomain}/${uploadMixin.uploadMixinPath}${tempFolder}${folder}`;
//                 obj.onSuccess({
//                   success: true,
//                   message: imgurl,
//                 });
//               } else {
//                 obj.onError({
//                   success: false,
//                   message: err || "图片上传失败",
//                 });
//               }
//             }
//           );
//         } else {
//           //走系统上传
//           upload({
//                 biz: fileInfo.biz,
//                 file: fileInfo.file,
//               }).then((uploadRes:any) => {
//                 if (uploadRes.success && uploadRes.message) {
//                   //保存绝对路径，不然小程序会有问题
//                   let url = uploadRes.message;
//                   obj.onSuccess({ success: true, message: url });
//                 } else {
//                   obj.onError({
//                     success: false,
//                     message: uploadRes.message || "图片上传失败",
//                   });
//                 }
//               })
//       } else {
//         obj.onError({
//           success: false,
//           message: "服务接口报错",
//         });
//       }}
//     })(true);
//   };
// }
import { reactive, watch, ref, defineEmits, defineExpose } from "vue";
import { ElMessage } from "element-plus";
import { upload, getUploadConfigInfo } from "../axios/model/user";
// const COS = require("cos-wx-sdk-v5");
import COS from "cos-js-sdk-v5";
interface UploadMixin {
  uploadMixinPath: string;
  uploadMixinType: string;
  uploadMixinCredentials: any;
  uploadMixinTimeStamp: number;
}
const uploadMixin: UploadMixin = {
  uploadMixinPath: "",
  uploadMixinType: "",
  uploadMixinCredentials: {},
  uploadMixinTimeStamp: 0,
};
interface CustomAxiosResponse {
  code: number;
  result: {
    bucketName: string;
    regionid: string;
    upLoadPath: string;
    uploadType: string;
    staticDomain: string;
    startTime: string;
    expiredTime: string;
    credentials: {
      tmpSecretId: string;
      tmpSecretKey: string;
      sessionToken: string;
    };
  };
}
export const upLoadFilesHander = (file: any) => {
  return new Promise((resolve) => {
    const loadHandler = ({ success, message }: any) => {
      if (!success) {
        ElMessage({
          message: `上传失败，请重新上传！`,
          type: "warning",
        });
      } else {
        resolve({ success: true, result: message });
      }
    };
    const obj = {
      file: file,
      onSuccess: ({ success, message }: any) => {
        loadHandler({ success, message });
      },
      onError: ({ success, message }: any) => {
        loadHandler({ success: false, message: "" });
      },
    };
    //进行上传
    upLoadHander(obj);
  });
};

export const upLoadHander = async (obj: any) => {
  const { file } = obj;
  const fileName = file.name.split(".");
  const fileInfo = {
    fileTyle: fileName.length > 1 ? fileName[fileName.length - 1] : "",
    fileName: fileName[0],
    biz: obj?.data?.biz || "temp",
    file: file,
  };
  const none = async function hander(noCredentials: boolean) {
    // const res:CustomAxiosResponse = reactive({
    //   code: 0,
    //   result: {
    //     bucketName: "",
    //     regionid: "",
    //     upLoadPath: "",
    //     uploadType: "",
    //     staticDomain: "",
    //     startTime: "",
    //     expiredTime: "",
    //     credentials: {
    //       tmpSecretId: "",
    //       tmpSecretKey: "",
    //       sessionToken: "",
    //     },
    //   },
    // });
    let staticDomain = "";
    let resResult = true;
    //noCredentials变量控制是否走对象存储
    if (noCredentials) {
      const query = {};
      const res:any = await getUploadConfigInfo(query);
      // console.log(res1,'res')
      // console.log(res);
      if (res.code === 200 && res.result) {
        const result = res.result;
        uploadMixin.uploadMixinPath = result.upLoadPath;
        uploadMixin.uploadMixinType = result.uploadType;
        staticDomain = result.staticDomain || "https://cdn.tikcos.cn";
        if (uploadMixin.uploadMixinType === "txcos") {
          const credentials = result.credentials;
          uploadMixin.uploadMixinCredentials = {
            TmpSecretId: credentials?.tmpSecretId,
            TmpSecretKey: credentials?.tmpSecretKey,
            SecurityToken: credentials?.sessionToken,
            StartTime: result.startTime,
            ExpiredTime: result.expiredTime,
          };
        }
      } else {
        resResult = false;
      }
    }
    //resResult判断接口是否正常
    if (resResult) {
      const query = {};
      const res:any = await getUploadConfigInfo(query);
      if (uploadMixin.uploadMixinType == "txcos") {
        //走对象存储
        const cos = new COS({
          getAuthorization: (options: any, callback: any) => {
            callback(uploadMixin.uploadMixinCredentials);
          },
        });
        const tempFolder = fileInfo.biz === "temp" ? "" : `${fileInfo.biz}/`;
        const folder = `${fileInfo.fileName}_${new Date().getTime()}.${
          fileInfo.fileTyle
        }`;
        const result = res.result || {};
        cos.putObject(
          {
            // FilePath: fileInfo.file,
            Bucket: result.bucketName || "tikcos-1257774783",
            Region: result.regionid || "ap-guangzhou",
            Key: uploadMixin.uploadMixinPath + tempFolder + folder,
            Body: fileInfo.file,
            onProgress: function (progressData: any) {
              obj.onProgress && obj.onProgress(progressData);
            },
          },
          async (err: any, data: any) => {
            if (!err && data.statusCode === 200) {
              const imgurl = `${staticDomain}/${uploadMixin.uploadMixinPath}${tempFolder}${folder}`;
              obj.onSuccess({
                success: true,
                message: imgurl,
              });
            } else {
              obj.onError({
                success: false,
                message: data.message || "图片上传失败",
              });
            }
          }
        );
      } else {
        // 其他存储类型暂不支持
        obj.onError({
          success: false,
          message: "服务接口报错",
        });
      }
    } else {
      obj.onError({
        success: false,
        message: "服务接口报错",
      });
    }
  };
  none(true);
};
