export function getShortDate(): string {
  const now = new Date();
  let month: string = (now.getMonth() + 1).toString();
  if (month.length < 2) {
    month = "0" + month;
  }
  let day: string = now.getDate().toString();
  if (day.length < 2) {
    day = "0" + day;
  }
  let hour: string = now.getHours().toString();
  if (hour.length < 2) {
    hour = "0" + hour;
  }
  let minutes: string = now.getMinutes().toString();
  if (minutes.length < 2) {
    minutes = "0" + minutes;
  }

  return month + "-" + day + " " + hour + ":" + minutes;
}
